# Shipment

the shipment API

## GET /vds/shipment/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/vds/shipment/{id}":{"get":{"tags":["Shipment"],"summary":"Find an existing Resource by identifier","operationId":"getById_7","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}},"404":{"description":"Resource with given ID was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"ID der Versandart"},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"document id"},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress.CountryRegion"},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-DeliveryAddress.CountryRegion":{"description":"region of this address","properties":{"label":{"type":"string","description":"Label"},"abbreviation":{"type":"string","description":"Abkürzung"},"regionalCode":{"type":"string","description":"Eindeutiger regionaler Code (z. B. FIPS-Code, NUTS-Code, spezifischer Landescode)"},"iso3166_2Code":{"type":"string","description":"ISO 3166-2 Code für die Region"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"vds-carrier-Carrier":{"description":"Versender","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name"},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Aktiv?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Paket-Status","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking-Status-Code","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status-Label"},"statusDetails":{"type":"string","description":"Status-Details"},"location":{"type":"string","description":"Ort"},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking erstellt "},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking geändert"}},"required":["statusCode"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## PUT /vds/shipment/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/vds/shipment/{id}":{"put":{"tags":["Shipment"],"summary":"Update existing Resource ","operationId":"update_6","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"ID der Versandart"},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"document id"},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress.CountryRegion"},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-DeliveryAddress.CountryRegion":{"description":"region of this address","properties":{"label":{"type":"string","description":"Label"},"abbreviation":{"type":"string","description":"Abkürzung"},"regionalCode":{"type":"string","description":"Eindeutiger regionaler Code (z. B. FIPS-Code, NUTS-Code, spezifischer Landescode)"},"iso3166_2Code":{"type":"string","description":"ISO 3166-2 Code für die Region"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"vds-carrier-Carrier":{"description":"Versender","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name"},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Aktiv?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Paket-Status","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking-Status-Code","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status-Label"},"statusDetails":{"type":"string","description":"Status-Details"},"location":{"type":"string","description":"Ort"},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking erstellt "},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking geändert"}},"required":["statusCode"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## DELETE /vds/shipment/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/vds/shipment/{id}":{"delete":{"tags":["Shipment"],"summary":"Delete an existing Resource","operationId":"delete_4","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /vds/shipment/{id}/validate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/vds/shipment/{id}/validate":{"put":{"tags":["Shipment"],"operationId":"validate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}}}}}},"components":{"schemas":{"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"ID der Versandart"},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"document id"},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress.CountryRegion"},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-DeliveryAddress.CountryRegion":{"description":"region of this address","properties":{"label":{"type":"string","description":"Label"},"abbreviation":{"type":"string","description":"Abkürzung"},"regionalCode":{"type":"string","description":"Eindeutiger regionaler Code (z. B. FIPS-Code, NUTS-Code, spezifischer Landescode)"},"iso3166_2Code":{"type":"string","description":"ISO 3166-2 Code für die Region"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"vds-carrier-Carrier":{"description":"Versender","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name"},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Aktiv?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Paket-Status","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking-Status-Code","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status-Label"},"statusDetails":{"type":"string","description":"Status-Details"},"location":{"type":"string","description":"Ort"},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking erstellt "},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking geändert"}},"required":["statusCode"]}}}}
```

## PUT /vds/shipment/{id}/updateWithRequestLabel

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/vds/shipment/{id}/updateWithRequestLabel":{"put":{"tags":["Shipment"],"operationId":"updateWithRequestLabel","parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}}}}}},"components":{"schemas":{"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"ID der Versandart"},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"document id"},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress.CountryRegion"},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-DeliveryAddress.CountryRegion":{"description":"region of this address","properties":{"label":{"type":"string","description":"Label"},"abbreviation":{"type":"string","description":"Abkürzung"},"regionalCode":{"type":"string","description":"Eindeutiger regionaler Code (z. B. FIPS-Code, NUTS-Code, spezifischer Landescode)"},"iso3166_2Code":{"type":"string","description":"ISO 3166-2 Code für die Region"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"vds-carrier-Carrier":{"description":"Versender","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name"},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Aktiv?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Paket-Status","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking-Status-Code","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status-Label"},"statusDetails":{"type":"string","description":"Status-Details"},"location":{"type":"string","description":"Ort"},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking erstellt "},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking geändert"}},"required":["statusCode"]}}}}
```

## PUT /vds/shipment/{id}/request-label

> requests a label from carrier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/vds/shipment/{id}/request-label":{"put":{"tags":["Shipment"],"summary":"requests a label from carrier","operationId":"requestLabel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-PrintLabelRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}}}}}},"components":{"schemas":{"vds-shipment-PrintLabelRequest":{"properties":{"parameters":{"type":"array","description":"Zusätzliche Parameter (z.B. auch Antworten auf Entscheidungen","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}}}},"common-api-AdditionalParameter":{"description":"Zusätzliche Parameter","properties":{"key":{"type":"string","description":"key for this parameter"},"value":{"type":"object","description":"value for this parameter"}},"required":["key"]},"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"ID der Versandart"},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"document id"},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress.CountryRegion"},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-DeliveryAddress.CountryRegion":{"description":"region of this address","properties":{"label":{"type":"string","description":"Label"},"abbreviation":{"type":"string","description":"Abkürzung"},"regionalCode":{"type":"string","description":"Eindeutiger regionaler Code (z. B. FIPS-Code, NUTS-Code, spezifischer Landescode)"},"iso3166_2Code":{"type":"string","description":"ISO 3166-2 Code für die Region"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"vds-carrier-Carrier":{"description":"Versender","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name"},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Aktiv?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Paket-Status","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking-Status-Code","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status-Label"},"statusDetails":{"type":"string","description":"Status-Details"},"location":{"type":"string","description":"Ort"},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking erstellt "},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking geändert"}},"required":["statusCode"]}}}}
```

## PUT /vds/shipment/{id}/parcels/{parcelId}

> Update existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/vds/shipment/{id}/parcels/{parcelId}":{"put":{"tags":["Shipment"],"summary":"Update existing Resource","operationId":"updateParcel","parameters":[{"name":"id","in":"path","description":"Shipment-ID","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"parcelId","in":"path","description":"Parcel-ID","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-Parcel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Parcel"}}}}}}}},"components":{"schemas":{"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Paket-Status","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking-Status-Code","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status-Label"},"statusDetails":{"type":"string","description":"Status-Details"},"location":{"type":"string","description":"Ort"},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking erstellt "},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking geändert"}},"required":["statusCode"]}}}}
```

## PUT /vds/shipment/{id}/parcels/{parcelId}/print

> Print parcel label

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/vds/shipment/{id}/parcels/{parcelId}/print":{"put":{"tags":["Shipment"],"summary":"Print parcel label","operationId":"printParcel","parameters":[{"name":"id","in":"path","description":"shipment id","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"parcelId","in":"path","description":"parcelId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-output-OutputRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{}}}}}}}},"components":{"schemas":{"common-output-OutputRequest":{"properties":{"exportFormat":{"type":"string","description":"output-format für mail/file-export","enum":["PDF","XLSX","XLSX_RAW","JSON_RAW","REPORT_TEMPLATE"]},"exportFilename":{"type":"string","description":"filename (ohne extension) bei einem file-export"},"mailRecipients":{"type":"array","description":"Empfänger","items":{"$ref":"#/components/schemas/common-output-OutputRecipient.MailRecipient"}},"outputType":{"type":"string","description":"outputType"},"groupIdentifier":{"type":"string","description":"OutputReportGroup Identifier (optional), sonst Default-Group des Moduls"},"published":{"type":"boolean","default":false,"description":"sollen nur bereits veröffentlichte Dokumente beachtet werden?"}}},"common-output-OutputRecipient.MailRecipient":{"description":"Empfänger","properties":{"type":{"type":"string","description":"(mail) recipient type","enum":["TO","CC","BCC"]},"address":{"type":"string","description":"(mail) recipient address"},"name":{"type":"string","description":"(mail) recipient name"}}}}}}
```

## POST /vds/shipment

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/vds/shipment":{"post":{"tags":["Shipment"],"summary":"Create new Resource","operationId":"create_5","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"ID der Versandart"},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"document id"},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress.CountryRegion"},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-DeliveryAddress.CountryRegion":{"description":"region of this address","properties":{"label":{"type":"string","description":"Label"},"abbreviation":{"type":"string","description":"Abkürzung"},"regionalCode":{"type":"string","description":"Eindeutiger regionaler Code (z. B. FIPS-Code, NUTS-Code, spezifischer Landescode)"},"iso3166_2Code":{"type":"string","description":"ISO 3166-2 Code für die Region"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"vds-carrier-Carrier":{"description":"Versender","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name"},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Aktiv?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Paket-Status","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking-Status-Code","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status-Label"},"statusDetails":{"type":"string","description":"Status-Details"},"location":{"type":"string","description":"Ort"},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking erstellt "},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Zeitpunkt Tracking geändert"}},"required":["statusCode"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/shipment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
